Skip to main content
GET
/
orders
Listing orders
curl --request GET \
  --url https://api.peeker.ai/api/partner/v1/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ord_01HZX0OR1A2B3C4D5E6F7G8H",
      "user_id": "usr_01HZX0C6Z3K4M5N6P7Q8R9S0",
      "email": "alex@acme.com",
      "bundle_id": "bun_01HZX0BU1A2B3C4D5E6F7G8H",
      "status": "in_progress",
      "domain_count": 2,
      "costs": {
        "total_cents": 13000,
        "currency": "usd"
      },
      "created_at": "2026-05-08T12:00:00Z"
    },
    {
      "id": "ord_01HZX0OR2A2B3C4D5E6F7G8H",
      "user_id": "usr_01HZX0C7Z3K4M5N6P7Q8R9S0",
      "email": "sam@acme.com",
      "bundle_id": null,
      "status": "completed",
      "domain_count": 1,
      "costs": {
        "total_cents": 4000,
        "currency": "usd"
      },
      "created_at": "2026-04-30T16:22:00Z"
    }
  ],
  "links": {
    "first": "https://api.peeker.ai/api/partner/v1/orders?per_page=25",
    "next": "https://api.peeker.ai/api/partner/v1/orders?per_page=25&page_token=eyJjdXJzb3IiOiJ4eXoifQ"
  },
  "meta": {
    "path": "https://api.peeker.ai/api/partner/v1/orders",
    "per_page": 25,
    "returned": 2
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.peeker.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:Bearer pk_test_<your-test-key>
required

Your partner API key. Use pk_live_… against the live system or pk_test_… against the sandbox.

Query Parameters

user_id
string

Filter to orders for one customer, by usr_… ID.

Example:

"usr_01HZX0C6Z3K4M5N6P7Q8R9S0"

user_email
string

Filter to orders for one customer, by email.

Example:

"alex@acme.com"

bundle_id
string

Filter to orders that used one bundle template.

Example:

"bun_01HZX0BU1A2B3C4D5E6F7G8H"

status
enum<string>

Filter to one order status.

Available options:
in_progress,
completed,
failed,
action_required,
cancel_scheduled,
cancelled
per_page
integer
default:25

Page size; default 25, max 100.

Required range: 1 <= x <= 100
page_token
string

Opaque token returned in links.next. Do not parse or build by hand.

Response

200 - application/json

A page of orders.

data
object[]
required
meta
object
Last modified on May 14, 2026